;
; pre-loader .ini file
;

;
; The pre-loader can serve as a base for different
; loaders. The loader can be a new multiboot loader
; (FreeLdr) with protected mode interface, as well
; as the good old OS/2 loader with real mode interface.
; To load FreeLdr, "multiboot = yes" setting must be
; set and a proper loader filename must be chosen.
; To load OS2LDR, "multiboot = no" must be set and
; os2ldr path must be set. Also, minifsd path must
; be set. Minifsd base must be 0x7c0 and loader base
; must be equal to 0x10000 (it is the same for OS2LDR
; and FreeLdr, at present). FreeLdr need not a minifsd,
; so minifsd name can be set to "none".
;

[global]
  ; Global options

  ; boot drive driveletter
  driveletter = d:

  ; real or protected mode interface to loader
  ;multiboot = no

  multiboot = yes

  ; ask user
  ;multiboot = ask
  ; search files in the root dir
  root = yes

[loader]
  ; main loader options

  ; loader filename

  ;name = (cd)\os2ldr
  name = \boot\loader\freeldr.mdl

  ; if multiboot = no then loader is \os2ldr else
  ; (if multiboot = yes) loader is \boot\loader\freeldr.mdl
  ;name = default

  len  = 0xe

  ; load base
  base = 0x20000

[extloader]
  ; auxiliary loader options

  name = os2ldr
  len  = 0xe
  base = 0x10000

[minifsd]
  ; minifsd options (mFSD)

  ; minifsd name
  ;name = none
  name = \os2boot
  ;name = f32boot
  ;name = hpfsmini
  ;name = (cd)\ext2\minifsd.fsd
  ;name = mfs.dll

  ; load base
  base = 0x7c0

[microfsd]
  ; filesystem drivers (uFSD)

  ; FSD list in their mounting order
  list = hpfs,jfs,fat,iso9660,ntfs,ffs,ext2fs,ufs2,vstafs,minix,reiserfs,xfs

  ; case sensitivity options
  ; case sensitive filenames
  ;ignorecase = no
  ; try open files lowercase and uppercase
  ignorecase = yes
  ; use our own (32-bits) microfsd
  microfsd = own

[term]
  ; terminals options

  ; terminal blackboxes (uT) list
  list = console,hercules,serial,graphics

  ; default uT to load at boot
  ; 0 - console, 1 - hercules, 2 - serial
  default = 0

[aliases]
